#include "partition.h"
#include <iostream>
#include <vector>
using namespace std;
std::vector<int> solve(std::vector<int> a) {
    int n = a.size();
    vector<int> answ;
    for (int i = 0; i < n / 2-1; ++i) {
        answ.push_back(i);
    }
    answ.push_back(n - 1);
    if (n != 1) {
        for (int i = n / 2 - 1; i < n - 1; ++i) {
            answ.push_back(i);
        }
    }
    return answ;
}
/*int main()
{
    vector<int> k = solve({ 1 });
    for (auto i : k) {
        cout << i << ' ';
    }
    return 0;
}*/